<?php 
    if(isset($_GET['id']) && !empty($_GET['id'])) {
        $blog->deletePost($_GET['id']);
        $session->data['messageType'] = "success"; 
        $session->data['messageTitle'] = "Başarılı!"; 
        $session->data['message'] = "Blog yazısı başarıyla silindi."; 

        if(isset($_GET['redirect']) && !empty($_GET['redirect'])) {
            header('Location: ' . $_GET['redirect']);
            exit();
        }else{
            header('Location: /admin/blog/list');
            exit();
        }
    }else{
        $session->data['messageType'] = "error"; 
        $session->data['messageTitle'] = "Hata!"; 
        $session->data['message'] = "Bir hata oluştu ve blog yazısı silinemedi."; 

        header('Location: /admin/blog/list');
        exit();
    }